#ifndef CLIENTCONFIG_H
#define CLIENTCONFIG_H

//ClientConfig
#include "Client.h"


class ClientConfig 
{
	private:
		
		
		ClientConfig* next;
		ClientConfig* pre;
	public:
		Client ClientObject;
		//ClientConfig Get_ClientObject();
		//gets
		ClientConfig* GetNext( );
		ClientConfig* GetPre( );
		//sets
		void SetNext( ClientConfig* );
		void SetPre( ClientConfig* );
		//constutor
		ClientConfig();
		//destutor
		~ClientConfig();
};


	//gets
/*
Character ClientConfig::Get_ClientObject()
{
	return ClientObject;
}
*/
ClientConfig* ClientConfig::GetNext( )
{
	return next;
}
ClientConfig* ClientConfig::GetPre( )
{
	return pre;
}
	//sets

void ClientConfig::SetNext( ClientConfig* nd2 )
{
	next= nd2;
}

void ClientConfig::SetPre( ClientConfig* nd2 )
{
	pre= nd2;
}

	//constutor

ClientConfig::ClientConfig()
{
	//ClientObject = Client();
	next = NULL;
	pre = NULL;
}
ClientConfig::~ClientConfig()
{
 
}

#endif